Symbol Holidays API iTick Financial Data Financial Market Data API REST API Provides accurate and timely global financial market holiday data API interface, covering major exchanges including A-shares, US stocks, and Hong Kong stocks. Featuring reliable data sources, timely updates, easy integration via RESTful API, and a free trial available.

Please select

Market Holidays

GET
/market/holidays

Request Parameters

codeenumRequired
Hong Kong
country/Region code

Response Parameters

codenumber
Response code
msgstring
Response description
dataarray(object)
Response result
cstring
Country/Region code
rstring
Country/Region name
dstring
Holiday dates
tstring
Trading hours
zstring
Time zone
vstring
Holiday name

Code Examples

import requests

url = "https://api.itick.org/market/holidays?code=HK"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GET
https://api.itick.org/market/holidays?code=HK

Response Result

{
  "code": 0,
  "msg": "ok",
  "data": [
    {
      "c": "HK",
      "r": "Hong Kong",
      "d": "2026-01-01",
      "t": "09:00-09:30,09:30-12:00|13:00-16:00,16:00-16:30",
      "z": "Asia/Hong_Kong",
      "v": "New Year's Day"
    }
  ]
}
  1. Product List

    Covers Real-Time and Historical Data for Global Major Markets Including Chinese, US, and Hong Kong Stocks, Global Forex, Indices, Futures, Funds, and Crypto.

  2. Market Status

    Query the current market status of a specified country or region, returning whether the market is open, status, trading sessions, timezone, and local time.